Bug 178080 - RFE: sm plugin workaround for bug #177934
RFE: sm plugin workaround for bug #177934
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: magma-plugins (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 13:53 EST by Lon Hohberger
Modified: 2009-04-16 16:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0240
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:48:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2006-01-17 13:53:27 EST
+++ This bug was initially created as a clone of Bug #177934 +++

Description of problem:

If you call dlm_release_lockspace() in libdlm from userland from an application
A, application B's reference to the open lockspace will become invalid if
application B has no locks granted at the time of the release.

e.g.

Program A        Program B
Create LS 'Foo'
                 Open LS 'Foo'
Acquire lock
Release lock
Release LS
                 Acquire lock   <-- returns -1 / ENOENT
------------------------------------------------------------

The idea here is to provide a workaround in the plugin itself.  The simplest
solution is to take a null lock in the lockspace so that release_lockspace
doesn't have anything to check.
Comment 1 Lon Hohberger 2006-01-24 14:18:57 EST
Fixes in CVS - RHEL4/head/STABLE
Comment 4 Red Hat Bugzilla 2006-03-09 14:48:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0240.html

Note You need to log in before you can comment on or make changes to this bug.